]> Zhao Yanbai Git Server - minix.git/commitdiff
Started making 'smallminix' script, that does various chmems to make
authorBen Gras <ben@minix3.org>
Fri, 26 Aug 2005 12:53:17 +0000 (12:53 +0000)
committerBen Gras <ben@minix3.org>
Fri, 26 Aug 2005 12:53:17 +0000 (12:53 +0000)
minix run in smaller machines

commands/scripts/Makefile
commands/scripts/smallminix.sh [new file with mode: 0644]

index e5f28f0ab7d14e51346c60d5e2589221e71680ed..ff20e7085402861de5874f553b70f4066087e265 100755 (executable)
@@ -34,6 +34,7 @@ usr:  \
        /usr/bin/mkdep \
        /usr/bin/mkdist \
        /usr/bin/setup \
+       /usr/bin/smallminix \
        /usr/bin/rotate \
        /usr/bin/floppysetup \
        /usr/bin/spell \
@@ -112,6 +113,9 @@ clean:
 /usr/bin/setup:        setup.sh
        install -m 755 -c -o bin $? $@
 
+/usr/bin/smallminix:   smallminix.sh
+       install -m 755 -c -o bin $? $@
+
 /usr/bin/spell:        spell.sh
        install -m 755 -c -o bin $? $@
 
diff --git a/commands/scripts/smallminix.sh b/commands/scripts/smallminix.sh
new file mode 100644 (file)
index 0000000..8e2a611
--- /dev/null
@@ -0,0 +1,5 @@
+#!/bin/sh
+chmem =300k /bin/sh /usr/bin/make /usr/bin/tar /usr/bin/aal 
+cd /usr/lib || exit 1
+chmem =1M em_cemcom.ansi em_led
+chmem =200k * i386/*